# Uses of Enum Class
org.opensaml.core.metrics.LoggerDrivenMetricFilter.Level

Packages that use LoggerDrivenMetricFilter.Level
Package
Description
org.opensaml.core.metrics
Classes supporting code instrumentation.

## Uses of LoggerDrivenMetricFilter.Level in org.opensaml.core.metrics

Fields in org.opensaml.core.metrics with type parameters of type LoggerDrivenMetricFilter.Level
Modifier and Type
Field
Description
`private final Map<String,LoggerDrivenMetricFilter.Level>`
LoggerDrivenMetricFilter.`levelMap`
Map of metrics to logging levels.
Methods in org.opensaml.core.metrics that return LoggerDrivenMetricFilter.Level
Modifier and Type
Method
Description
`static LoggerDrivenMetricFilter.Level`
LoggerDrivenMetricFilter.Level.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LoggerDrivenMetricFilter.Level[]`
LoggerDrivenMetricFilter.Level.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructor parameters in org.opensaml.core.metrics with type arguments of type LoggerDrivenMetricFilter.Level
Modifier
Constructor
Description
``
`LoggerDrivenMetricFilter(String prefix, Map<String,LoggerDrivenMetricFilter.Level> map)`
Constructor.